Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 590454 - skip broken could not solve problems
skip broken could not solve problems
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 12:07 EDT by Horst H. von Brand
Modified: 2014-01-21 18:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-19 01:08:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Requested output from "yum -d9 -y update --skip-broken" (830.90 KB, text/plain)
2010-05-16 12:07 EDT, Horst H. von Brand
no flags Details
patch to fix skip-broken loop detection issue (1.34 KB, patch)
2010-05-17 03:48 EDT, Tim Lauridsen
no flags Details | Diff

  None (edit)
Description Horst H. von Brand 2010-05-09 12:07:23 EDT
Description of problem:
I've installed texlive-2009, which still uses libpoppler.so.5. This causes a lot of packages that can't be updated, and yum chokes (see part of the error message below).

Version-Release number of selected component (if applicable):
yum-3.2.27-11.fc14.noarch

How reproducible:
Almost always.

Steps to Reproduce:
1. yum update --skip-broken
2.
3.
  
Actual results:
Lots of messages in the line of

--> Finished Dependency Resolution
Skip-broken could not solve problems
Error: Package: texlive-pdftex-bin-2010-5.20100430.fc13.16392.fc13.x86_64 (@texlive)
           Requires: libpoppler.so.5()(64bit)
           Removing: poppler-0.12.4-2.fc14.x86_64 (@rawhide)
               libpoppler.so.5()(64bit)
           Updated By: poppler-0.13.3-2.fc14.x86_64 (rawhide)
               Not found
Error: Package: gnome-panel-2.30.0-1.fc14.x86_64 (@rawhide)
           Requires: libedataserverui-1.2.so.8()(64bit)
           Removing: evolution-data-server-2.30.0-1.fc13.x86_64 (@rawhide)
               libedataserverui-1.2.so.8()(64bit)
           Updated By: evolution-data-server-2.31.1-1.fc14.x86_64 (rawhide)
               Not found

Expected results:
Detect non-updatables, update the rest...

Additional info:
texlive-2010-5.20100430.fc13.x86_64 (and a selection of others from there) installed.

Installing a lot of non-conflicted packages by hand ("yum upgrade --skip-broken list-of-packages") usually then makes the next try at "yum upgrade --skip-broken" go through.
Comment 1 Tim Lauridsen 2010-05-13 02:40:19 EDT
could you please attach the output from 'yum -d9 update --skip-broken'
Comment 2 Horst H. von Brand 2010-05-16 12:07:29 EDT
Created attachment 414377 [details]
Requested output from "yum -d9 -y update --skip-broken"
Comment 3 Tim Lauridsen 2010-05-17 03:48:10 EDT
Created attachment 414470 [details]
patch to fix skip-broken loop detection issue
Comment 4 Tim Lauridsen 2010-05-17 03:51:43 EDT
Look like the skip-broken loop detection bails out to early.

Could you please try to add the attached patch to 

/usr/lib64/python2.6/site-packages/yum/__init__.py

to see if it solves the issue.
Comment 5 Horst H. von Brand 2010-05-17 08:15:48 EDT
Seems to fix it (no new updates, but yesterday after updating everything that could be it complained also). Will report back after today's round of updates.

BTW, here the file is /usr/lib/python2.6/site-packages/yum/__init__.py (plain "lib", not "lib64").

Luckily, patch(1) did "get" your git(1) patch, if it hadn't I'd been at a loss.

Now go on and file a bug against bugzilla, as it isn't exactly easy to get the raw patch for testing...
Comment 6 Horst H. von Brand 2010-05-17 14:56:38 EDT
Yep, fixed. Another machine showed the same problem with today's round of updates, after the patch the update goes through.
Comment 7 Horst H. von Brand 2010-05-18 17:43:33 EDT
Survived today's round of updates too.
Comment 8 Tim Lauridsen 2010-05-19 01:08:18 EDT
Thanks for testing :)
The real test is in cases where there is a lot of updates and multiple packages with despolve issue, but that don't happen very often.

The patch has been pushed upstream, I will close for now, please reopen if you hit any issues again

Note You need to log in before you can comment on or make changes to this bug.